Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1258559 - [abrt] viking: vik_maps_layer_get_map_label(): viking killed by SIGSEGV
Summary: [abrt] viking: vik_maps_layer_get_map_label(): viking killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: viking
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cb30e22a7fb195643282a5f1d62...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-31 15:58 UTC by Karel Volný
Modified: 2015-12-18 09:59 UTC (History)
1 user (show)

Fixed In Version: viking-1.6.1-1.fc23 viking-1.6.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-18 07:54:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: cgroup (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: core_backtrace (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: dso_list (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: environ (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: limits (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: maps (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: mountinfo (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: namespaces (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: open_fds (deleted)
2015-08-31 15:58 UTC, Karel Volný
no flags Details
File: proc_pid_status (deleted)
2015-08-31 15:59 UTC, Karel Volný
no flags Details

Description Karel Volný 2015-08-31 15:58:44 UTC
Description of problem:
I was playing with drawing some paths and trying to resolve routes. Viking crashed on closing the application after that (before it asked to save or whatever).

Version-Release number of selected component:
viking-1.6-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        viking
crash_function: vik_maps_layer_get_map_label
executable:     /usr/bin/viking
global_pid:     21697
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 vik_maps_layer_get_map_label at vikmapslayer.c:455
 #1 map_download_thread at vikmapslayer.c:1624
 #2 thread_helper at background.c:136
 #4 g_thread_proxy at gthread.c:778

Comment 1 Karel Volný 2015-08-31 15:58:47 UTC
Created attachment 1068679 [details]
File: backtrace

Comment 2 Karel Volný 2015-08-31 15:58:48 UTC
Created attachment 1068680 [details]
File: cgroup

Comment 3 Karel Volný 2015-08-31 15:58:50 UTC
Created attachment 1068681 [details]
File: core_backtrace

Comment 4 Karel Volný 2015-08-31 15:58:51 UTC
Created attachment 1068682 [details]
File: dso_list

Comment 5 Karel Volný 2015-08-31 15:58:52 UTC
Created attachment 1068683 [details]
File: environ

Comment 6 Karel Volný 2015-08-31 15:58:53 UTC
Created attachment 1068684 [details]
File: limits

Comment 7 Karel Volný 2015-08-31 15:58:55 UTC
Created attachment 1068685 [details]
File: maps

Comment 8 Karel Volný 2015-08-31 15:58:56 UTC
Created attachment 1068686 [details]
File: mountinfo

Comment 9 Karel Volný 2015-08-31 15:58:57 UTC
Created attachment 1068687 [details]
File: namespaces

Comment 10 Karel Volný 2015-08-31 15:58:58 UTC
Created attachment 1068688 [details]
File: open_fds

Comment 11 Karel Volný 2015-08-31 15:59:00 UTC
Created attachment 1068689 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2015-11-25 09:39:15 UTC
viking-1.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f81292f22

Comment 13 Fedora Update System 2015-11-25 10:07:58 UTC
viking-1.6.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d775e43058

Comment 14 Fedora Update System 2015-11-25 11:38:23 UTC
viking-1.6.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-264e3aa9ac

Comment 15 Fedora Update System 2015-11-26 01:21:41 UTC
viking-1.6.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update viking'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-264e3aa9ac

Comment 16 Fedora Update System 2015-11-26 02:25:09 UTC
viking-1.6.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update viking'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d775e43058

Comment 17 Fedora Update System 2015-11-26 02:54:02 UTC
viking-1.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update viking'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4f81292f22

Comment 18 Fedora Update System 2015-12-18 07:54:24 UTC
viking-1.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-12-18 09:59:50 UTC
viking-1.6.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.